Bug 425858 - Removing compiz-gnome gives 'The generated cache was invalid', and the package doesn't remove
Removing compiz-gnome gives 'The generated cache was invalid', and the packag...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
8
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-16 14:56 EST by Ivan Quirino
Modified: 2009-01-09 02:32 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:32:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ivan Quirino 2007-12-16 14:56:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; pt-BR; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
when removing compiz-gnome with yum, it shows 'The generated cache was invalid' and rpm gives this message: error: %postun(compiz-gnome-0.6.2-3.fc8.i386) scriptlet failed, exit status 1

the samse thing happens with ccsm..

Version-Release number of selected component (if applicable):
compiz-gnome-0.6.2-3

How reproducible:
Always


Steps to Reproduce:
1. yum remove compiz-gnome ccsm
2.It says 'The generated cache was invalid'
3. yum install compiz-gnome ccsm
3.It says 'Package compiz-gnome - 0.6.2-3.fc8.i386 is already installed.
Nothing to do', the same with ccsm


Actual Results:


Expected Results:
the package should be removed sucessfuly

Additional info:
Downloading Packages:
Running rpm_check_debug
Member: compiz-gnome.i386 0-0.6.2-3.fc8 - e
Removing Package compiz-gnome - 0.6.2-3.fc8.i386
Member: ccsm.noarch 0-0.6.0-3.fc8 - e
Removing Package ccsm - 0.6.0-3.fc8.noarch
Running Transaction Test
Member: compiz-gnome.i386 0-0.6.2-3.fc8 - e
Removing Package compiz-gnome - 0.6.2-3.fc8.i386
Member: ccsm.noarch 0-0.6.0-3.fc8 - e
Removing Package ccsm - 0.6.0-3.fc8.noarch
Finished Transaction Test
Transaction Test Succeeded
Member: compiz-gnome.i386 0-0.6.2-3.fc8 - e
Removing Package compiz-gnome - 0.6.2-3.fc8.i386
Member: ccsm.noarch 0-0.6.0-3.fc8 - e
Removing Package ccsm - 0.6.0-3.fc8.noarch
Running Transaction
  Erasing   : compiz-gnome                 ######################### [1/2] 
The generated cache was invalid.
  Erasing   : ccsm                         ######################### [2/2] 
error: %postun(compiz-gnome-0.6.2-3.fc8.i386) scriptlet failed, exit status 1
The generated cache was invalid.

Removed: ccsm.noarch 0:0.6.0-3.fc8 compiz-gnome.i386 0:0.6.2-3.fc8
Complete!
Comment 1 Bug Zapper 2008-11-26 04:01:41 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-01-09 02:32:14 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.